Bug 4289 - Brightness doesn't change on Lenovo ThinkPad T420
: Brightness doesn't change on Lenovo ThinkPad T420
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-01 11:11 MSD by Dmitry
Modified: 2014-10-09 12:05 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
dmidecode (14.11 KB, text/plain)
2014-08-01 11:56 MSD, Dmitry
Details
lspci (10.52 KB, text/plain)
2014-08-01 11:56 MSD, Dmitry
Details
ls -l (145 bytes, text/plain)
2014-08-01 11:56 MSD, Dmitry
Details
journalctl -a (1.52 MB, text/plain)
2014-08-01 11:57 MSD, Dmitry
Details
journalctl -ab (video.use_native_backlight=1) (130.64 KB, text/plain)
2014-08-05 09:54 MSD, Dmitry
Details
ls -la (video.use_native_backlight=1) (241 bytes, text/plain)
2014-08-05 09:54 MSD, Dmitry
Details
make.log (23.72 KB, text/plain)
2014-08-14 22:48 MSD, Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry 2014-08-01 11:11:13 MSD
Description of problem:

The brightness of internal monitor of Lenovo ThinkPad T420 doesn't change if I use Fn key. Also KDE battery applet doesn't change the brightness. When I try to change the brightness using Fn key then KDE shows a new level of brightness, but really it doesn't change. If I lower the brightness then after reboot the internal monitor will be dark and pale and it won't possible to raise the brightness.
Comment 1 Eugene Shatokhin 2014-08-01 11:17:32 MSD
Please attach the output of the following commands here (run them as root):
- lspci -vnn
- dmidecode
- journalctl -a
- ls -la /sys/class/backlight/

Does the problem persist if you boot the system with kernel parameter acpi_backlight=vendor added?
Comment 2 Dmitry 2014-08-01 11:56:14 MSD
Created attachment 3123 [details]
dmidecode
Comment 3 Dmitry 2014-08-01 11:56:32 MSD
Created attachment 3124 [details]
lspci
Comment 4 Dmitry 2014-08-01 11:56:49 MSD
Created attachment 3125 [details]
ls -l
Comment 5 Dmitry 2014-08-01 11:57:09 MSD
Created attachment 3126 [details]
journalctl -a
Comment 6 Eugene Shatokhin 2014-08-01 12:07:24 MSD
Thanks for the info. 
Besides, if booting with acpi_backlight=vendor does not help, please try booting with video.use_native_backlight=1 kernel parameter instead. This should force the system to use the Thinkpad-specific backlight control facilities.
Comment 7 Dmitry 2014-08-02 10:07:41 MSD
With acpi_backlight=vendor screen backlight doesn't work, moreover KDE brightness widgets doesn't raise, it always shows 0% or 13% of light strength.
Comment 8 Dmitry 2014-08-02 10:15:50 MSD
video.use_native_backlight=1 also doesn't help.
Comment 9 Eugene Shatokhin 2014-08-04 10:48:14 MSD
Please boot the system again with video.use_native_backlight=1 (but without acpi_backlight=vendor), login as usual, then try to change the brightness with the function keys as before.

Then, again, collect the output of the following commands as root and post it here:

- journalctl -ab
- ls -la /sys/class/backlight/
Comment 10 Dmitry 2014-08-05 09:54:08 MSD
Created attachment 3127 [details]
journalctl -ab (video.use_native_backlight=1)
Comment 11 Dmitry 2014-08-05 09:54:29 MSD
Created attachment 3128 [details]
ls -la (video.use_native_backlight=1)
Comment 12 Eugene Shatokhin 2014-08-06 11:54:37 MSD
Seems to be nothing special in the logs.

Could you also check if the problem persists with kernel 3.14? You can install version 3.14.13 from this repository:

http://abf-downloads.rosalinux.ru/kernels_3_14x_personal/repository/rosa2012.1/x86_64/main/release/
Comment 13 Dmitry 2014-08-14 22:48:11 MSD
With new kernel kernel-nrj-desktop-3.14.13-1rosa nvidia-current don't want to be built. dkms fails during boot. I have tried in konsole: 

dkms build -m nvidia-current -v 331.38-1 -k 3.14.13-nrj-desktop-1rosa --verbose

See make.log logs in attachments.
Comment 14 Dmitry 2014-08-14 22:48:57 MSD
Created attachment 3137 [details]
make.log

dkms build -m nvidia-current -v 331.38-1 -k 3.14.13-nrj-desktop-1rosa --verbose
Comment 15 Eugene Shatokhin 2014-08-15 10:28:47 MSD
Well, it is a known problem. Looks like only the newer versions of nvidia driver support kernel 3.14.

2 possible solutions:

1. Use nouveau instead, just to test.

2. Add x11_backports repository (http://abf-downloads.rosalinux.ru/x11_backports_personal/repository/rosa2012.1/x86_64/main/release/), remove nvidia driver (dkms-nvidia-current and all dependent packages), update the system. New Xorg, mesa and other graphics-related stuff will be installed. Reboot, then  install the appropriate nvidia driver again via XFdrake (it will likely be nvidia340). Reboot again.
Comment 16 Dmitry 2014-08-15 11:58:32 MSD
That is really interesting... Hm... For old kernel 3.10.x I have tried: 

* to switch to Intel video and brightness worked;
* to switch to Nvidia video and nouveau driver and brightness worked;
* to switch to nvidia-current and brightness didn't work.

It seem like this is a bug of Nvidia drivers.
Comment 17 Eugene Shatokhin 2014-08-15 13:25:09 MSD
(In reply to comment #16)
> It seem like this is a bug of Nvidia drivers.

Perhaps. 

The updated NVidia drivers for 2012.1 (along with the rest of the graphics stack) are available in x11_backports_personal repository mentioned above. Should work both for 3.10 and for 3.14 kernels.

Currently, there are no plans to officialy update these drivers for ROSA 2012.1.
Comment 18 FirstLevel 2014-10-08 22:42:10 MSD
Please could You check the problem for new release 2014.1
Comment 19 Dmitry 2014-10-09 10:37:13 MSD
I can't check this. It's upstream bug, so this one may be closed.